<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.meeting.mapper.MeetingRoomMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.meeting.domain.MeetingRoom">
        <id column="room_id" property="roomId" />
        <result column="room_name" property="roomName" />
        <result column="floor_id" property="floorId" />
        <result column="description" property="description" />
        <result column="img_path" property="imgPath" />
        <result column="capacity" property="capacity" />
        <result column="position" property="position" />
        <result column="maintainer" property="maintainer" />
        <result column="contacts" property="contacts" />
        <result column="remark" property="remark" />
        <result column="room_status" property="roomStatus" />
        <result column="reserve_status" property="reserveStatus" />
        <result column="status" property="status" />
        <result column="environmental" property="environmental" />
        <result column="last_use_time" property="lastUseTime" />
        <result column="create_by" property="createBy" />
        <result column="update_by" property="updateBy" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="is_approve" property="isApprove" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
